Bug 861098 - RESTAPI: Mapping of empty name in user object
RESTAPI: Mapping of empty name in user object
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Ravi Nori
Ondra Machacek
infra
: FutureFeature
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-09-27 09:57 EDT by Gal Leibovici
Modified: 2016-02-10 14:38 EST (History)
10 users (show)

See Also:
Fixed In Version: SF3
Doc Type: Enhancement
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:11:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
dyasny: Triaged+


Attachments (Terms of Use)
XML response (766 bytes, text/xml)
2012-09-27 09:57 EDT, Gal Leibovici
no flags Details

  None (edit)
Description Gal Leibovici 2012-09-27 09:57:25 EDT
In the API, we show the group object even though it's name is empty (user not in a group?)
like this:
        <groups>
            <group>
                <name></name>
            </group>
        </groups>
We shouldn't have the group exported if it's empty.
Comment 1 Gal Leibovici 2012-09-27 09:57:54 EDT
Created attachment 618087 [details]
XML response
Comment 2 Ravi Nori 2012-11-09 10:48:15 EST
link : http://gerrit.ovirt.org/#/c/9138/ 

Change id: I1444e755797b101a216fd2e20537dd6e2aaefb33
Comment 4 Cheryn Tan 2013-04-03 02:51:30 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 5 errata-xmlrpc 2013-06-10 17:11:24 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.